projects_file_edit_create

LLM-based file editing. Upload a file and provide instructions to edit it using the project’s extracted data. The file is edited by an LLM in a code execution sandbox.

For deterministically mapped templates, reach out to support.

On this page

HTTP request

POST https://api.parsewise.ai/api/v1/projects/{project_id}/file-edit/

URI Parameters

Name In Required Type Description
project_id path Yes string (uuid)  

Request Header

Name Required Type Description
X-API-Key Yes string API key with the pw_live_ prefix. See Authentication.

Responses

Status Type Description
201 No response body

Security

  • ApiKeyAuth — apiKey — in X-API-Key header. API key with pw_live_ prefix.

Python example

import os
import requests

API_KEY = os.environ["PARSEWISE_API_KEY"]
BASE_URL = "https://api.parsewise.ai/api/v1"

project_id = "<uuid>"

resp = requests.post(
    f"{BASE_URL}/projects/{project_id}/file-edit/",
    headers={"X-API-Key": API_KEY},
)
resp.raise_for_status()
print(resp.status_code)  # POST returns no body